/*
  Tutanchamun, an arcade game
  Copyright (C) 1998  David Kastrup
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  */
#include "tutan.h"
#include "tutdisp.h"

void draw(void *shape, int x, int y)
{
  if (x+4 <= scrx)
    return;
  if (scrx+48 <= x)
    return;
  d_fgshape(shape, x-scrx, y);
  delay((x-scrx+4) & 1 ? 15 : 7);
}

void undraw(void *shape, int x, int y)
{
  if (x+4 <= scrx)
    return;
  if (scrx+48 <= x)
    return;
  d_remshape(shape, x-scrx, y, colbak);
  delay((x-scrx+4) & 1 ? 15 : 7);
}

void drawfull(void *shape, int x, int y)
{
  if (x+3 < scrx)
    return;
  if (scrx+47 < x)
    return;
  d_bgshape(shape, x-scrx, y);
  delay((x-scrx+4) & 1 ? 15 : 7);
}

